io.undertow.security.idm

## Class GSSContextCredential

- java.lang.Object
- - io.undertow.security.idm.GSSContextCredential

All Implemented Interfaces:
  Credential

    public class GSSContextCredential
    extends Object
    implements Credential

A `Credential` to wrap an established GSSContext.

Author:
  Darran Lofthouse

### Constructor Summary

Constructors
Constructor and Description
`GSSContextCredential(GSSContext gssContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`GSSContext` `getGssContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GSSContextCredential

    public GSSContextCredential(GSSContext gssContext)

### Method Detail

#### getGssContext

    public GSSContext getGssContext()